geos::geomgraph Namespace Reference

Contains classes that implement topology graphs. More...

## Namespaces

namespace | index
| Contains classes that implement indexes for performing noding on geometry graph edges.

## Classes

class | Depth
| A Depth object records the topological depth of the sides of an Edge for up to two Geometries. More...
class | DirectedEdge
| A directed EdgeEnd. More...
class | DirectedEdgeStar
| A DirectedEdgeStar is an ordered list of outgoing DirectedEdges around a node. More...
class | Edge
class | EdgeEnd
| Models the end of an edge incident on a node. More...
class | EdgeEndStar
| A EdgeEndStar is an ordered list of EdgeEnds around a node. More...
class | EdgeIntersection
| Represents a point on an edge which intersects with another edge. More...
class | EdgeIntersectionList
| A list of edge intersections along an Edge. More...
class | EdgeList
| A EdgeList is a list of Edges. More...
class | EdgeNodingValidator
| Validates that a collection of SegmentStrings is correctly noded. More...
class | EdgeRing
class | GeometryGraph
| A GeometryGraph is a graph that models a given Geometry. More...
class | GraphComponent
| A GraphComponent is the parent class for the objects' that form a graph. More...
class | Label
| A `Label` indicates the topological relationship of a component of a topology graph to a given `Geometry`. More...
class | Node
| The node component of a geometry graph. More...
class | PlanarGraph
| Represents a directed graph which is embeddable in a planar surface. More...
class | TopologyLocation
| A TopologyLocation is the labelling of a GraphComponent's topological relationship to a single Geometry. More...

## Functions

bool | operator== (const Edge &a, const Edge &b)
std::ostream & | operator<< (std::ostream &os, const Edge &el)
std::ostream & | operator<< (std::ostream &, const EdgeEnd &)
std::ostream & | operator<< (std::ostream &, const EdgeEndStar &)
bool | operator< (const EdgeIntersection &ei1, const EdgeIntersection &ei2)
std::ostream & | operator<< (std::ostream &os, const EdgeIntersection &e)
| Output operator.
std::ostream & | operator<< (std::ostream &, const EdgeIntersectionList &)
std::ostream & | operator<< (std::ostream &os, const EdgeList &el)
std::ostream & | operator<< (std::ostream &os, const EdgeRing &er)
std::ostream & | operator<< (std::ostream &, const Label &)
std::ostream & | operator<< (std::ostream &os, const Node &node)
std::ostream & | operator<< (std::ostream &, const TopologyLocation &)

## Detailed Description

Contains classes that implement topology graphs.

The Java Topology Suite (JTS) is a Java API that implements a core set of spatial data operations using an explicit precision model and robust geometric algorithms. JTS is int ended to be used in the development of applications that support the validation, cleaning, integration and querying of spatial datasets.

JTS attempts to implement the OpenGIS Simple Features Specification (SFS) as accurately as possible. In some cases the SFS is unclear or omits a specification; in this case JTS attempts to choose a reasonable and consistent alternative. Differences from and elaborations of the SFS are documented in this specification.

### Package Specification

- Java Topology Suite Technical Specifications
- OpenGIS Simple Features Specification for SQL

## Function Documentation

## operator<()

bool geos::geomgraph::operator< | ( | const EdgeIntersection & | ei1,
|  | const EdgeIntersection & | ei2 )

inline

Strict weak ordering operator for EdgeIntersection

This is the C++ equivalent of JTS's compareTo